variables:
  IMAGE_NAME: kath73/dockerhubrepo
  IMAGE_TAG: gitlab1

build_image:
  image: docker
  services:
  - docker:dind
  before_script:
  - docker login -u $DOCKER_USER -p $DOCKER_PW
  script:
  - echo "Deploying application..."
  - docker build -t $IMAGE_NAME:$IMAGE_TAG -f hubfront/dockerfile .
  - docker push $IMAGE_NAME:$IMAGE_TAG
  - echo "Application successfully deployed."
